# Shipping Groups

Manage shipping groups

## Retrieving shipping groups

> Retrieves a list of shipping groups for a specified site.

```json
{"openapi":"3.0.0","info":{"title":"Shipping Service","version":"0.0.1"},"tags":[{"name":"Shipping Groups","description":"Manage shipping groups"}],"servers":[{"url":"https://api.emporix.io"}],"security":[{"oAuth2":[]}],"components":{"securitySchemes":{"oAuth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://api.emporix.io/oauth/token","scopes":{"shipping.shipping_manage":"Needed to manage shipping settings.","shipping.shipping_read":"Needed to read shipping settings."}}}}},"parameters":{"tenant":{"name":"tenant","in":"path","required":true,"description":"Your Emporix tenant name.\n\n**Note**: The tenant should always be written in lowercase.\n","schema":{"pattern":"^[a-z][a-z0-9]+$","minLength":3,"maxLength":16,"type":"string"}},"site":{"description":"Site unique identifier. A site is a specific shop.\n\nIf the tenant owns only one shop, the value should be set to `main`.\n","name":"site","in":"path","required":true,"schema":{"type":"string"}},"accept-language":{"in":"header","name":"Accept-Language","required":false,"description":"The Accept-Language request HTTP header defines which languages the client is able to understand, and which locale variant is preferred.\nIt can be a priority list working as a fallback mechanism.\nIf the Accept-Language header is empty, all languages for localized fields are returned in a map format where the key is language code and the value is a translation.","schema":{"type":"string"}}},"schemas":{"GroupList":{"title":"Collection of groups","description":"Collection of shipping groups.","type":"array","items":{"$ref":"#/components/schemas/Group"}},"Group":{"title":"Group","type":"object","description":"Shipping groups can be used for customer grouping with use customer group relations.","properties":{"id":{"description":"Delivery group unique identifier.","type":"string"},"description":{"$ref":"#/components/schemas/LocalizedValue"}},"required":["id"]},"LocalizedValue":{"oneOf":[{"type":"string","description":"String value in the specified language."},{"type":"object","additionalProperties":{"type":"string"},"description":"Map of translations in form of language:translation pairs.\nThe keys (languages) should be ISO language codes."}]},"errorMessage":{"title":"error","description":"Schema for API specified errors.","type":"object","properties":{"status":{"minimum":100,"maximum":599,"description":"original HTTP error code, should be consistent with the response HTTP code","type":"integer"},"type":{"pattern":"[a-z]+[a-z_]*[a-z]+","description":"classification of the error type, lower case with underscore eg validation_failure","type":"string"},"message":{"description":"descriptive error message for debugging","type":"string"},"moreInfo":{"type":"string","description":"link to documentation to investigate further and finding support"},"errorCode":{"type":"string","description":"The error code which specify the problem"},"details":{"description":"list of problems causing this error","type":"array","items":{"title":"errorDetail","description":"schema for specific error cause","anyOf":[{"type":"string"},{"type":"object","properties":{"field":{"description":"a bean notation expression specifying the element in request data causing the error, eg shipTo[0].country, this can be empty if violation was not field specific","type":"string"},"type":{"pattern":"[a-z]+[a-z_]*[a-z]+","description":"classification of the error detail type, lower case with underscore eg missing_value, this value must be always interpreted in context of the general error type.","type":"string"},"message":{"description":"descriptive error detail message for debugging","type":"string"},"moreInfo":{"type":"string","description":"link to documentation to investigate further and finding support for error detail"}}}]}}},"required":["status","type"]}},"responses":{"group_400":{"description":"Request syntactically incorrect. Details of the error are included in the response payload.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorMessage"}}}},"unauthorized_401":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"fault":{"type":"object","properties":{"faultstring":{"type":"string"},"detail":{"type":"object","properties":{"errorcode":{"type":"string"}}}}}}}}}},"internalError_500":{"description":"Some server side error occurred.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorMessage"}}}}}},"paths":{"/shipping/{tenant}/{site}/groups":{"get":{"tags":["Shipping Groups"],"summary":"Retrieving shipping groups","operationId":"GET-shipping-list-shipping-groups","description":"Retrieves a list of shipping groups for a specified site.","parameters":[{"$ref":"#/components/parameters/tenant"},{"$ref":"#/components/parameters/site"},{"$ref":"#/components/parameters/accept-language"}],"responses":{"200":{"description":"Resource successfully retrieved.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupList"}}}},"400":{"$ref":"#/components/responses/group_400"},"401":{"$ref":"#/components/responses/unauthorized_401"},"500":{"$ref":"#/components/responses/internalError_500"}}}}}}
```

## Creating a shipping group

> Creates a new shipping group for the specified site.

```json
{"openapi":"3.0.0","info":{"title":"Shipping Service","version":"0.0.1"},"tags":[{"name":"Shipping Groups","description":"Manage shipping groups"}],"servers":[{"url":"https://api.emporix.io"}],"security":[{"oAuth2":["shipping.shipping_manage"]}],"components":{"securitySchemes":{"oAuth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://api.emporix.io/oauth/token","scopes":{"shipping.shipping_manage":"Needed to manage shipping settings.","shipping.shipping_read":"Needed to read shipping settings."}}}}},"schemas":{"Group":{"title":"Group","type":"object","description":"Shipping groups can be used for customer grouping with use customer group relations.","properties":{"id":{"description":"Delivery group unique identifier.","type":"string"},"description":{"$ref":"#/components/schemas/LocalizedValue"}},"required":["id"]},"LocalizedValue":{"oneOf":[{"type":"string","description":"String value in the specified language."},{"type":"object","additionalProperties":{"type":"string"},"description":"Map of translations in form of language:translation pairs.\nThe keys (languages) should be ISO language codes."}]},"ResourceCreatedResponse":{"title":"Resource created","description":"Link to created resource with unique resource identifier.","type":"object","properties":{"id":{"type":"string","description":"Created resource’s unique identifier."}}},"errorMessage":{"title":"error","description":"Schema for API specified errors.","type":"object","properties":{"status":{"minimum":100,"maximum":599,"description":"original HTTP error code, should be consistent with the response HTTP code","type":"integer"},"type":{"pattern":"[a-z]+[a-z_]*[a-z]+","description":"classification of the error type, lower case with underscore eg validation_failure","type":"string"},"message":{"description":"descriptive error message for debugging","type":"string"},"moreInfo":{"type":"string","description":"link to documentation to investigate further and finding support"},"errorCode":{"type":"string","description":"The error code which specify the problem"},"details":{"description":"list of problems causing this error","type":"array","items":{"title":"errorDetail","description":"schema for specific error cause","anyOf":[{"type":"string"},{"type":"object","properties":{"field":{"description":"a bean notation expression specifying the element in request data causing the error, eg shipTo[0].country, this can be empty if violation was not field specific","type":"string"},"type":{"pattern":"[a-z]+[a-z_]*[a-z]+","description":"classification of the error detail type, lower case with underscore eg missing_value, this value must be always interpreted in context of the general error type.","type":"string"},"message":{"description":"descriptive error detail message for debugging","type":"string"},"moreInfo":{"type":"string","description":"link to documentation to investigate further and finding support for error detail"}}}]}}},"required":["status","type"]}},"parameters":{"tenant":{"name":"tenant","in":"path","required":true,"description":"Your Emporix tenant name.\n\n**Note**: The tenant should always be written in lowercase.\n","schema":{"pattern":"^[a-z][a-z0-9]+$","minLength":3,"maxLength":16,"type":"string"}},"site":{"description":"Site unique identifier. A site is a specific shop.\n\nIf the tenant owns only one shop, the value should be set to `main`.\n","name":"site","in":"path","required":true,"schema":{"type":"string"}},"content-language":{"in":"header","name":"Content-Language","required":false,"description":"The Content-Language request HTTP header defines language of the payload.\nWhen the Content-Language header is empty, all localized fields in a payload should be in a map format,\nwhere the key is a language code and the value is a translation.","schema":{"type":"string"}}},"responses":{"group_400":{"description":"Request syntactically incorrect. Details of the error are included in the response payload.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorMessage"}}}},"unauthorized_401":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"fault":{"type":"object","properties":{"faultstring":{"type":"string"},"detail":{"type":"object","properties":{"errorcode":{"type":"string"}}}}}}}}}},"yaasAware_403":{"description":"Given authorization scopes are not sufficient and do not match required scopes.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorMessage"}}}},"resourceConflict_409":{"description":"Creation failed because there was a conflict with another resource. Details of the error are included in the response payload.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorMessage"}}}},"internalError_500":{"description":"Some server side error occurred.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorMessage"}}}}}},"paths":{"/shipping/{tenant}/{site}/groups":{"post":{"tags":["Shipping Groups"],"summary":"Creating a shipping group","operationId":"POST-shipping-create-shipping-group","description":"Creates a new shipping group for the specified site.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Group"}}}},"parameters":[{"$ref":"#/components/parameters/tenant"},{"$ref":"#/components/parameters/site"},{"$ref":"#/components/parameters/content-language"}],"responses":{"201":{"description":"Resource successfully created.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResourceCreatedResponse"}}}},"400":{"$ref":"#/components/responses/group_400"},"401":{"$ref":"#/components/responses/unauthorized_401"},"403":{"$ref":"#/components/responses/yaasAware_403"},"409":{"$ref":"#/components/responses/resourceConflict_409"},"500":{"$ref":"#/components/responses/internalError_500"}}}}}}
```

## Retrieving a shipping group

> Retrieves the specified shipping group details.

```json
{"openapi":"3.0.0","info":{"title":"Shipping Service","version":"0.0.1"},"tags":[{"name":"Shipping Groups","description":"Manage shipping groups"}],"servers":[{"url":"https://api.emporix.io"}],"security":[{"oAuth2":[]}],"components":{"securitySchemes":{"oAuth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://api.emporix.io/oauth/token","scopes":{"shipping.shipping_manage":"Needed to manage shipping settings.","shipping.shipping_read":"Needed to read shipping settings."}}}}},"parameters":{"tenant":{"name":"tenant","in":"path","required":true,"description":"Your Emporix tenant name.\n\n**Note**: The tenant should always be written in lowercase.\n","schema":{"pattern":"^[a-z][a-z0-9]+$","minLength":3,"maxLength":16,"type":"string"}},"site":{"description":"Site unique identifier. A site is a specific shop.\n\nIf the tenant owns only one shop, the value should be set to `main`.\n","name":"site","in":"path","required":true,"schema":{"type":"string"}},"groupId":{"description":"Delivery group unique identifier.","name":"groupId","in":"path","required":true,"schema":{"type":"string"}},"accept-language":{"in":"header","name":"Accept-Language","required":false,"description":"The Accept-Language request HTTP header defines which languages the client is able to understand, and which locale variant is preferred.\nIt can be a priority list working as a fallback mechanism.\nIf the Accept-Language header is empty, all languages for localized fields are returned in a map format where the key is language code and the value is a translation.","schema":{"type":"string"}}},"schemas":{"Group":{"title":"Group","type":"object","description":"Shipping groups can be used for customer grouping with use customer group relations.","properties":{"id":{"description":"Delivery group unique identifier.","type":"string"},"description":{"$ref":"#/components/schemas/LocalizedValue"}},"required":["id"]},"LocalizedValue":{"oneOf":[{"type":"string","description":"String value in the specified language."},{"type":"object","additionalProperties":{"type":"string"},"description":"Map of translations in form of language:translation pairs.\nThe keys (languages) should be ISO language codes."}]},"errorMessage":{"title":"error","description":"Schema for API specified errors.","type":"object","properties":{"status":{"minimum":100,"maximum":599,"description":"original HTTP error code, should be consistent with the response HTTP code","type":"integer"},"type":{"pattern":"[a-z]+[a-z_]*[a-z]+","description":"classification of the error type, lower case with underscore eg validation_failure","type":"string"},"message":{"description":"descriptive error message for debugging","type":"string"},"moreInfo":{"type":"string","description":"link to documentation to investigate further and finding support"},"errorCode":{"type":"string","description":"The error code which specify the problem"},"details":{"description":"list of problems causing this error","type":"array","items":{"title":"errorDetail","description":"schema for specific error cause","anyOf":[{"type":"string"},{"type":"object","properties":{"field":{"description":"a bean notation expression specifying the element in request data causing the error, eg shipTo[0].country, this can be empty if violation was not field specific","type":"string"},"type":{"pattern":"[a-z]+[a-z_]*[a-z]+","description":"classification of the error detail type, lower case with underscore eg missing_value, this value must be always interpreted in context of the general error type.","type":"string"},"message":{"description":"descriptive error detail message for debugging","type":"string"},"moreInfo":{"type":"string","description":"link to documentation to investigate further and finding support for error detail"}}}]}}},"required":["status","type"]}},"responses":{"group_400":{"description":"Request syntactically incorrect. Details of the error are included in the response payload.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorMessage"}}}},"unauthorized_401":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"fault":{"type":"object","properties":{"faultstring":{"type":"string"},"detail":{"type":"object","properties":{"errorcode":{"type":"string"}}}}}}}}}},"group_notFound_404":{"description":"The requested resource does not exist.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorMessage"}}}},"internalError_500":{"description":"Some server side error occurred.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorMessage"}}}}}},"paths":{"/shipping/{tenant}/{site}/groups/{groupId}":{"get":{"tags":["Shipping Groups"],"summary":"Retrieving a shipping group","operationId":"GET-shipping-retrieve-shipping-group","description":"Retrieves the specified shipping group details.","parameters":[{"$ref":"#/components/parameters/tenant"},{"$ref":"#/components/parameters/site"},{"$ref":"#/components/parameters/groupId"},{"$ref":"#/components/parameters/accept-language"}],"responses":{"200":{"description":"Resource successfully retrieved.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Group"}}}},"400":{"$ref":"#/components/responses/group_400"},"401":{"$ref":"#/components/responses/unauthorized_401"},"404":{"$ref":"#/components/responses/group_notFound_404"},"500":{"$ref":"#/components/responses/internalError_500"}}}}}}
```

## Updating a shipping group

> Fully updates the specified shipping group.

```json
{"openapi":"3.0.0","info":{"title":"Shipping Service","version":"0.0.1"},"tags":[{"name":"Shipping Groups","description":"Manage shipping groups"}],"servers":[{"url":"https://api.emporix.io"}],"security":[{"oAuth2":["shipping.shipping_manage"]}],"components":{"securitySchemes":{"oAuth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://api.emporix.io/oauth/token","scopes":{"shipping.shipping_manage":"Needed to manage shipping settings.","shipping.shipping_read":"Needed to read shipping settings."}}}}},"parameters":{"tenant":{"name":"tenant","in":"path","required":true,"description":"Your Emporix tenant name.\n\n**Note**: The tenant should always be written in lowercase.\n","schema":{"pattern":"^[a-z][a-z0-9]+$","minLength":3,"maxLength":16,"type":"string"}},"site":{"description":"Site unique identifier. A site is a specific shop.\n\nIf the tenant owns only one shop, the value should be set to `main`.\n","name":"site","in":"path","required":true,"schema":{"type":"string"}},"groupId":{"description":"Delivery group unique identifier.","name":"groupId","in":"path","required":true,"schema":{"type":"string"}},"content-language":{"in":"header","name":"Content-Language","required":false,"description":"The Content-Language request HTTP header defines language of the payload.\nWhen the Content-Language header is empty, all localized fields in a payload should be in a map format,\nwhere the key is a language code and the value is a translation.","schema":{"type":"string"}}},"schemas":{"Group":{"title":"Group","type":"object","description":"Shipping groups can be used for customer grouping with use customer group relations.","properties":{"id":{"description":"Delivery group unique identifier.","type":"string"},"description":{"$ref":"#/components/schemas/LocalizedValue"}},"required":["id"]},"LocalizedValue":{"oneOf":[{"type":"string","description":"String value in the specified language."},{"type":"object","additionalProperties":{"type":"string"},"description":"Map of translations in form of language:translation pairs.\nThe keys (languages) should be ISO language codes."}]},"errorMessage":{"title":"error","description":"Schema for API specified errors.","type":"object","properties":{"status":{"minimum":100,"maximum":599,"description":"original HTTP error code, should be consistent with the response HTTP code","type":"integer"},"type":{"pattern":"[a-z]+[a-z_]*[a-z]+","description":"classification of the error type, lower case with underscore eg validation_failure","type":"string"},"message":{"description":"descriptive error message for debugging","type":"string"},"moreInfo":{"type":"string","description":"link to documentation to investigate further and finding support"},"errorCode":{"type":"string","description":"The error code which specify the problem"},"details":{"description":"list of problems causing this error","type":"array","items":{"title":"errorDetail","description":"schema for specific error cause","anyOf":[{"type":"string"},{"type":"object","properties":{"field":{"description":"a bean notation expression specifying the element in request data causing the error, eg shipTo[0].country, this can be empty if violation was not field specific","type":"string"},"type":{"pattern":"[a-z]+[a-z_]*[a-z]+","description":"classification of the error detail type, lower case with underscore eg missing_value, this value must be always interpreted in context of the general error type.","type":"string"},"message":{"description":"descriptive error detail message for debugging","type":"string"},"moreInfo":{"type":"string","description":"link to documentation to investigate further and finding support for error detail"}}}]}}},"required":["status","type"]}},"responses":{"group_400":{"description":"Request syntactically incorrect. Details of the error are included in the response payload.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorMessage"}}}},"unauthorized_401":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"fault":{"type":"object","properties":{"faultstring":{"type":"string"},"detail":{"type":"object","properties":{"errorcode":{"type":"string"}}}}}}}}}},"yaasAware_403":{"description":"Given authorization scopes are not sufficient and do not match required scopes.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorMessage"}}}},"group_notFound_404":{"description":"The requested resource does not exist.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorMessage"}}}},"internalError_500":{"description":"Some server side error occurred.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorMessage"}}}}}},"paths":{"/shipping/{tenant}/{site}/groups/{groupId}":{"put":{"tags":["Shipping Groups"],"summary":"Updating a shipping group","operationId":"PUT-shipping-update-shipping-group","description":"Fully updates the specified shipping group.","parameters":[{"$ref":"#/components/parameters/tenant"},{"$ref":"#/components/parameters/site"},{"$ref":"#/components/parameters/groupId"},{"$ref":"#/components/parameters/content-language"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Group"}}}},"responses":{"200":{"description":"Resource successfully updated."},"400":{"$ref":"#/components/responses/group_400"},"401":{"$ref":"#/components/responses/unauthorized_401"},"403":{"$ref":"#/components/responses/yaasAware_403"},"404":{"$ref":"#/components/responses/group_notFound_404"},"500":{"$ref":"#/components/responses/internalError_500"}}}}}}
```

## Deleting a shipping group

> Deletes the specified shipping group.

```json
{"openapi":"3.0.0","info":{"title":"Shipping Service","version":"0.0.1"},"tags":[{"name":"Shipping Groups","description":"Manage shipping groups"}],"servers":[{"url":"https://api.emporix.io"}],"security":[{"oAuth2":["shipping.shipping_manage"]}],"components":{"securitySchemes":{"oAuth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://api.emporix.io/oauth/token","scopes":{"shipping.shipping_manage":"Needed to manage shipping settings.","shipping.shipping_read":"Needed to read shipping settings."}}}}},"parameters":{"tenant":{"name":"tenant","in":"path","required":true,"description":"Your Emporix tenant name.\n\n**Note**: The tenant should always be written in lowercase.\n","schema":{"pattern":"^[a-z][a-z0-9]+$","minLength":3,"maxLength":16,"type":"string"}},"site":{"description":"Site unique identifier. A site is a specific shop.\n\nIf the tenant owns only one shop, the value should be set to `main`.\n","name":"site","in":"path","required":true,"schema":{"type":"string"}},"groupId":{"description":"Delivery group unique identifier.","name":"groupId","in":"path","required":true,"schema":{"type":"string"}}},"responses":{"unauthorized_401":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"fault":{"type":"object","properties":{"faultstring":{"type":"string"},"detail":{"type":"object","properties":{"errorcode":{"type":"string"}}}}}}}}}},"yaasAware_403":{"description":"Given authorization scopes are not sufficient and do not match required scopes.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorMessage"}}}},"internalError_500":{"description":"Some server side error occurred.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorMessage"}}}}},"schemas":{"errorMessage":{"title":"error","description":"Schema for API specified errors.","type":"object","properties":{"status":{"minimum":100,"maximum":599,"description":"original HTTP error code, should be consistent with the response HTTP code","type":"integer"},"type":{"pattern":"[a-z]+[a-z_]*[a-z]+","description":"classification of the error type, lower case with underscore eg validation_failure","type":"string"},"message":{"description":"descriptive error message for debugging","type":"string"},"moreInfo":{"type":"string","description":"link to documentation to investigate further and finding support"},"errorCode":{"type":"string","description":"The error code which specify the problem"},"details":{"description":"list of problems causing this error","type":"array","items":{"title":"errorDetail","description":"schema for specific error cause","anyOf":[{"type":"string"},{"type":"object","properties":{"field":{"description":"a bean notation expression specifying the element in request data causing the error, eg shipTo[0].country, this can be empty if violation was not field specific","type":"string"},"type":{"pattern":"[a-z]+[a-z_]*[a-z]+","description":"classification of the error detail type, lower case with underscore eg missing_value, this value must be always interpreted in context of the general error type.","type":"string"},"message":{"description":"descriptive error detail message for debugging","type":"string"},"moreInfo":{"type":"string","description":"link to documentation to investigate further and finding support for error detail"}}}]}}},"required":["status","type"]}}},"paths":{"/shipping/{tenant}/{site}/groups/{groupId}":{"delete":{"tags":["Shipping Groups"],"summary":"Deleting a shipping group","operationId":"DELETE-shipping-remove-shipping-group","description":"Deletes the specified shipping group.","parameters":[{"$ref":"#/components/parameters/tenant"},{"$ref":"#/components/parameters/site"},{"$ref":"#/components/parameters/groupId"}],"responses":{"204":{"description":"Resource successfully deleted."},"401":{"$ref":"#/components/responses/unauthorized_401"},"403":{"$ref":"#/components/responses/yaasAware_403"},"500":{"$ref":"#/components/responses/internalError_500"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.emporix.io/api-references/api-guides/delivery-and-shipping/shipping-1/api-reference/shipping-groups.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
